#1515 closed defect (fixed)

[ARM/Thumb] Invalid stack frame usage at -Os

Reported by: Sebastian Huber Owned by: Ralf Corsepius
Priority: normal Milestone: 4.10
Component: tool/gcc Version: 4.9
Severity: normal Keywords:
Cc: joel.sherrill@… Blocked By:
Blocking:

Description (last modified by Gedare Bloom)

We should wait with the RTEMS 4.10 release until we have a workaround or fix for this GCC bug:

http://gcc.gnu.org/bugzilla/show_bug.cgi?id=44091

The bug vanishes if you change the optimization level or use ARM code instead of Thumb code. Who knows if this really prevents such failures?

Change History (4)

comment:1 Changed on May 12, 2010 at 11:43:38 AM by Ralf Corsepius

Cc: Joel Sherrill added

comment:2 Changed on May 18, 2010 at 10:43:33 AM by Sebastian Huber

Resolution: fixed
Status: newclosed

It seems that -fno-schedule-insns2 is a workaround. At least the test case generates valid code after disabling this optimization.

comment:3 Changed on Nov 22, 2014 at 8:07:54 PM by Gedare Bloom

Description: modified (diff)
Milestone: 24.10
Version: unknown4.9

comment:4 Changed on Oct 10, 2017 at 5:58:26 AM by Sebastian Huber

Component: GCCtool/gcc
Note: See TracTickets for help on using tickets.